{
    "doc": "The questions for the cancer program exit questionnaire at case level",
    "fields": [
        {
            "doc": "Total time taken to review/collate evidence for variants (hours).\nInclude all literature review time, consultation with relevant experts etc.",
            "name": "total_review_time",
            "type": "double"
        },
        {
            "doc": "Time taken to discuss case at MDT (hours).",
            "name": "mdt1_time",
            "type": "double"
        },
        {
            "doc": "If the case is discussed at a 2nd MDT please enter time here (hours).",
            "name": "mdt2_time",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Total time to design ALL validation assay(s) for case (hours).\nOnly applicable if it is necessary to design a new assay to validate the variant.",
            "name": "validation_assay_time",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Technical Laboratory Validation. Total time for validation test wet work for all variants (hours).",
            "name": "wet_validation_time",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Analytical Laboratory Validation. Total time for analysis of validation results for all variants (hours).",
            "name": "analytical_validation_time",
            "type": [
                "null",
                "double"
            ]
        },
        {
            "doc": "Primary Reporting. Time taken to complete primary reporting stage (hours).",
            "name": "primary_reporting_time",
            "type": "double"
        },
        {
            "doc": "Report Authorisation. Time taken to check and authorise report (hours).",
            "name": "primary_authorisation_time",
            "type": "double"
        },
        {
            "doc": "Report Distribution.\nPlease enter, where possible/accessible how long it takes for the result to be conveyed to the patient.\nE.g. via letter from the clinician (days).",
            "name": "report_distribution_time",
            "type": "double"
        },
        {
            "doc": "Total time from result to report.\nThe total time taken from when the analysis of the WGS results started  to a report being received\nby the patient include any 'waiting' time (days).",
            "name": "total_time",
            "type": "double"
        },
        {
            "doc": "Which parts of the WGA were reviewed?",
            "name": "reviewedInMdtWga",
            "type": {
                "doc": "An enumeration for Which parts of the WGA were reviewed?:\n* `domain_1`: Domain 1 only\n* `domain_1_and_2`: Domains 1 and 2\n* `domain_1_2_and_suplementary`: Domains 1, 2 and supplementary analysis",
                "name": "ReviewedParts",
                "symbols": [
                    "domain_1",
                    "domain_1_and_2",
                    "domain_1_2_and_suplementary",
                    "somatic_if_relevant"
                ],
                "type": "enum"
            }
        },
        {
            "doc": "Were potentially actionable variants detected?",
            "name": "actionableVariants",
            "type": {
                "doc": "Are the variants actionable?\n* `yes`: yes\n* `no`: no",
                "name": "CancerActionableVariants",
                "symbols": [
                    "yes",
                    "no"
                ],
                "type": "enum"
            }
        }
    ],
    "name": "CancerCaseLevelQuestions",
    "namespace": "org.gel.models.report.avro",
    "type": "record"
}